Package com.tietoenator.trip.jxp.data

# Class TdbGridRecordSet

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.data.TdbRecordSet
com.tietoenator.trip.jxp.data.TdbGridRecordSet

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbGridRecordSet extends TdbRecordSet
Container and manipulation logic for a set of records from a TRIPgrid

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbGridRecordSet(TdbSession session)`
  Constructor, creates a blank instance

- ## Method Summary

  ### Methods inherited from class com.tietoenator.trip.jxp.data.TdbRecordSet

  `clear, delete, get, get, getAffectedRecords, getDatabase, getDidYouMean, getFrom, getId, getLongHitCount, getLongRecordCount, getMapMax, getName, getQuery, getQueryHits, getQueryRecords, getSearchSet, getSortKeys, getSortMax, getSortMerge, getSortRanked, getThesaurus, getTo, insert, isQueryCCL, isQuerySQL, isQueryXPath, recordAt, records, reset, setDatabase, setFrom, setId, setMapMax, setName, setQuery, setQueryCCL, setQuerySQL, setQueryXPath, setRange, setRetrievalTemplate, setRetrieveReversed, setSearchSet, setSortKeys, setSortMax, setSortMerge, setSortRanked, setThesaurus, setTo, update`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbGridRecordSet

    public TdbGridRecordSet(TdbSession session) throws TdbException
    Constructor, creates a blank instance
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`